Qyra
ReferenceCatalog

Create metrics tree

Create a new saved metrics tree with nodes and edges

POST/api/v1/projects/{projectUuid}/dataCatalog/metrics/trees

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Request body

{
  "edges": [
    {
      "targetCatalogSearchUuid": "string",
      "sourceCatalogSearchUuid": "string"
    }
  ],
  "nodes": [
    {
      "yPosition": 0,
      "xPosition": 0,
      "catalogSearchUuid": "string"
    }
  ],
  "source": "ui",
  "description": "string",
  "slug": "string",
  "name": "string"
}

Responses

201 — Created

{
  "results": {
    "generation": 0,
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedByUserUuid": "string",
    "createdByUserUuid": "string",
    "source": "ui",
    "description": "string",
    "name": "string",
    "slug": "string",
    "projectUuid": "string",
    "metricsTreeUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}